> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Raw Actions

> Fetch raw actions (all underlying actions) for a specific integration instance.

This endpoint takes an instance ID, and then fetches the raw actions with categories.



## OpenAPI

````yaml get /mcp-server/instance/{instanceId}/raw-actions
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /mcp-server/instance/{instanceId}/raw-actions:
    get:
      tags:
        - mcp-server
      summary: List Raw Actions
      description: >-
        Fetch raw actions (all underlying actions) for a specific integration
        instance.


        This endpoint takes an instance ID, and then fetches the raw actions
        with categories.
      operationId: listRawActions
      parameters:
        - name: instanceId
          in: path
          required: true
          schema:
            type: string
            description: The instance ID for the server connection
            title: Instanceid
          description: The instance ID for the server connection
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RawActionsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RawActionsResponse:
      properties:
        instanceId:
          type: string
          title: Instanceid
          description: The instance ID
        serverName:
          type: string
          title: Servername
          description: The requested server name
        result:
          additionalProperties: true
          type: object
          title: Result
          description: Map of categories to raw actions
      type: object
      required:
        - instanceId
        - serverName
      title: RawActionsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````